aboutsummaryrefslogtreecommitdiff
path: root/documents/abiword
diff options
context:
space:
mode:
authorDeposite Pirate2018-09-16 18:48:36 +0200
committerDeposite Pirate2018-09-16 18:48:36 +0200
commitd150a5f3e462fa7fe194a805a4aa0076f4d03ab9 (patch)
treece5e44d69c5f3175bfdbd1e3717b52c5dcca5638 /documents/abiword
parentf29d3519ce073ec30f99754d93304324f7f26d65 (diff)
Add ports.
Diffstat (limited to 'documents/abiword')
-rwxr-xr-xdocuments/abiword/abiword.SlackBuild112
1 files changed, 112 insertions, 0 deletions
diff --git a/documents/abiword/abiword.SlackBuild b/documents/abiword/abiword.SlackBuild
new file mode 100755
index 0000000..81315e5
--- /dev/null
+++ b/documents/abiword/abiword.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=abiword
+VERSION=2.8.6
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=http://www.abisource.com/downloads/abiword/${VERSION}/source
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --build=${ARCH}-slackware-linux \
+ --disable-dependency-tracking \
+ --disable-static \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-shave=no \
+ --enable-debug=no \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-gio \
+ --with-boost=no \
+ --enable-default-plugins \
+ --enable-plugins="wml freetranslation latex eml gimp mif loadbindings babelfish openxml mswrite urldict presentation pdb collab google paint hancom xslfo opendocument openwriter t602 iscii wmf sdw gdict opml clarisworks kword pdf passepartout applix wikipedia hrtext s5 docbook"
+make
+
+# missing: otf command goffice wordperfect psion aiksaurus mathview grammar wpg
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+abiword: abiword (word processor)
+abiword:
+abiword: A word processor similar to another well known one.
+abiword:
+abiword: Homepage: http://www.abisource.com
+abiword:
+abiword:
+abiword:
+abiword:
+abiword:
+abiword:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+gtk+ >= 2.18.3-i486-1
+wv >= 1.2.4-i486-1
+fribidi >= 0.10.9-i486-1
+enchant >= 1.4.2-i486-1
+librsvg >= 2.26.0-i486-1
+libcroco >= 0.6.2-i486-1
+expat >= 2.0.1-i486-1
+EOF
+
+install -m 0644 -o 0 -g 0 AUTHORS \
+ $PKG/usr/doc/$NAME-$VERSION
+
+mv $PKG/usr/share/icons \
+ $PKG/usr/share/pixmaps
+
+rm -f \
+ $PKG/usr/lib/*/*/*.la \
+ $PKG/usr/lib/*/*/*.a \
+ $PKG/usr/lib/*.la \
+ $PKG/usr/lib/*.a
+
+strip --strip-unneeded \
+ $PKG/usr/lib/*/*/*.so* \
+ $PKG/usr/lib/*.so* || :
+
+strip \
+ $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.txz